WordPress.org

Forums

Shibboleth plug-in and WordPress 3.5 (3 posts)

  1. dgreewood
    Member
    Posted 2 years ago #

    Hi-

    We are running WP 3.5 and trying to get the Shibboleth plug-in to work.

    We get the following error when trying to authenticate:
    Error Message: No peer endpoint available to which to send SAML response

    It works on our 3.2.X site. The plugin page states there has been no update for two years and it might not be compatible.

    Has anyone else gotten this plug-in to work with the latest WP release? Or have any suggestions?

    Out site is also running BuddyPress and Commons in a Box but it is my understanding the authentication is really handled by WordPress.

    Thanks in advance.

  2. jc1240
    Member
    Posted 2 years ago #

    I'm building a WordPress network serve and found this:

    http://www.ibiblio.org/archive/2011/10/wordpress-multisite-plus-shibboleth/

    I haven't gotten as far as even installing the plug-in, so I don't know if this works and if it does, whether or not it addresses your problem, but it's something to look at.

  3. cam343
    Member
    Posted 2 years ago #

    This plugin does not work with WordPress 3.5.
    I was able to utilise Shibboleths Remote User variable and the HTTP_AUTHENTICATION plugin here: https://wordpress.org/plugins/http-authentication/

    This works better for us. Basically you create the WordPress users manually. If you don't exist in the WordPress DB no access. Exactly what we wanted.

Topic Closed

This topic has been closed to new replies.

About this Topic